summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-doc/jargon
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-doc/jargon')
-rw-r--r--app-doc/jargon/Manifest1
-rw-r--r--app-doc/jargon/jargon-4.4.7.ebuild24
-rw-r--r--app-doc/jargon/metadata.xml5
3 files changed, 30 insertions, 0 deletions
diff --git a/app-doc/jargon/Manifest b/app-doc/jargon/Manifest
new file mode 100644
index 00000000000..82f8cd366b7
--- /dev/null
+++ b/app-doc/jargon/Manifest
@@ -0,0 +1 @@
+DIST jargon-4.4.7.tar.gz 9061260 SHA256 d93627a2b581081457d0a48a767080bc47954240ca5908a2439606dd0cd16911 SHA512 afc8c44994f22de3fbae325e315fa101c04a5db2ef6af7c5592b4c072cc0e94a2bc523042ab9c894977c34f8321aea77c8208ae57040a4e3419cd240ce169803 WHIRLPOOL cd4e9360885755f85addbf7b81df5887f8683e8a56cd0db869733e6fa8141526c1e06d2b8d0da7bcbfa9c90d10945350d014a61bc744b3889e0de4a81cc7ca04
diff --git a/app-doc/jargon/jargon-4.4.7.ebuild b/app-doc/jargon/jargon-4.4.7.ebuild
new file mode 100644
index 00000000000..a4911c73255
--- /dev/null
+++ b/app-doc/jargon/jargon-4.4.7.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A compendium of hacker slang illuminating many aspects of hackish tradition, folklore, and humor"
+HOMEPAGE="http://www.catb.org/~esr/jargon"
+SRC_URI="http://www.catb.org/~esr/jargon/${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ~mips ppc ppc64 sparc x86"
+IUSE=""
+
+src_unpack() {
+ unpack ${A}
+ find "${S}" -name .xvpics | xargs rm -rf
+ cd "${S}/html"
+ sed -i -e 's#\.\./\.\.#..#' */* \
+ || die "sed failed"
+}
+
+src_install() {
+ dohtml -r html/* || die "dohtml failed"
+}
diff --git a/app-doc/jargon/metadata.xml b/app-doc/jargon/metadata.xml
new file mode 100644
index 00000000000..fac0ae6714e
--- /dev/null
+++ b/app-doc/jargon/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>app-doc</herd>
+</pkgmetadata>